View Issue Details

IDProjectCategoryLast Update
0019682AI War 2[All Projects] Gameplay IssueAug 29, 2018 1:28 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.747 Improper Handling Of Forcefields 
Fixed in Version0.759-0.760 Only The Start of Discovery 
Summary0019682: Advanced factory does not grant Mark IV fleetship
DescriptionI have an advanced factory on Kleinrock and I have unlocked Mark III Multi-Needler corvettes the normal way through Tech. However, I don't now have the ability to research Mark IV fleetships as indicated by the tooltip. Subsequent to my save I then tried to unlock Mark IV normally (through the tech menu) but this did not grant me the ability to build Mark V ships.
TagsNo tags attached.

Activities

BadgerBadger

Jul 2, 2018 11:55 pm

manager  

AdvancedFactoryFail.save (4,853,627 bytes)
AdvancedFactoryFail.savemet (52 bytes)

BadgerBadger

Jul 2, 2018 11:58 pm

manager   ~0047711

So after further investigation, levelling up to Mark IV units did actually grant me the ability to make Mark V (so the tooltip is off), but it didn't update my build menus to say that I could build Mark V. In fact, according to my build menus I'm not actually making any Multi needler corvettes.

To get to this state from my save game, just go to the tech menu and research a mark IV unit

BadgerBadger

Jul 8, 2018 3:37 pm

manager   ~0047782

Partial fix: I improved the tooltip

x4000Bughunter

Aug 29, 2018 1:28 pm

administrator   ~0048498

No more advanced factories. :)

Issue History

Date Modified Username Field Change
Jul 2, 2018 11:55 pm BadgerBadger New Issue
Jul 2, 2018 11:55 pm BadgerBadger File Added: AdvancedFactoryFail.savemet
Jul 2, 2018 11:55 pm BadgerBadger File Added: AdvancedFactoryFail.save
Jul 2, 2018 11:58 pm BadgerBadger Note Added: 0047711
Jul 8, 2018 3:37 pm BadgerBadger Note Added: 0047782
Aug 29, 2018 1:28 pm x4000Bughunter Assigned To => x4000Bughunter
Aug 29, 2018 1:28 pm x4000Bughunter Status new => resolved
Aug 29, 2018 1:28 pm x4000Bughunter Resolution open => fixed
Aug 29, 2018 1:28 pm x4000Bughunter Fixed in Version => 0.759-0.760 Only The Start of Discovery
Aug 29, 2018 1:28 pm x4000Bughunter Note Added: 0048498